# module Psych::Streaming::ClassMethods

### Public Instance Methods

new(io) click to toggle source

Create a new streaming emitter. Emitter will print to `io`. See Psych::Stream for an example.

Calls superclass method

    # File lib/psych/streaming.rb, line 8
    def new io
      emitter      = const_get(:Emitter).new(io)
      class_loader = ClassLoader.new
      ss           = ScalarScanner.new class_loader
      super(emitter, ss, {})
    end